import 'package:hub/backend/api_requests/api_manager.dart';
import 'package:hub/flutter_flow/flutter_flow_model.dart';
import 'package:hub/flutter_flow/request_manager.dart';


import 'package:flutter/material.dart';
import 'package:hub/pages/liberation_history/liberation_history_widget.dart';

class LiberationHistoryModel extends FlutterFlowModel<LiberationHistoryWidget> {
  ///  State fields for stateful widgets in this page.

  final unfocusNode = FocusNode();
  // State field(s) for TextField widget.
  FocusNode? textFieldFocusNode;
  TextEditingController? textController;
  String? Function(BuildContext, String?)? textControllerValidator;

  /// Query cache managers for this widget.

  final _getLiberationsManager = StreamRequestManager<ApiCallResponse>();
  Stream<ApiCallResponse> getLiberations({
    String? uniqueQueryKey,
    bool? overrideCache,
    required Stream<ApiCallResponse> Function() requestFn,
  }) =>
      _getLiberationsManager.performRequest(
        uniqueQueryKey: uniqueQueryKey,
        overrideCache: overrideCache,
        requestFn: requestFn,
      );
  void clearGetLiberationsCache() => _getLiberationsManager.clear();
  void clearGetLiberationsCacheKey(String? uniqueKey) =>
      _getLiberationsManager.clearRequest(uniqueKey);

  @override
  void initState(BuildContext context) {}

  @override
  void dispose() {
    unfocusNode.dispose();
    textFieldFocusNode?.dispose();
    textController?.dispose();

    /// Dispose query cache managers for this widget.

    clearGetLiberationsCache();
  }
}